QT += core \
    gui \
    network \
    xml
TARGET = vworkspace
TEMPLATE = app
TRANSLATIONS = AppPortal_en.ts
FORMS += ManageConnectionDialog/AutoLaunchPage/autoLaunchPage.ui \
    ManageConnectionDialog/PasswordManagementPage/passwordManagementPage.ui \
    ManageConnectionDialog/UserExperiencePage/userExperiencePage.ui \
    ManageConnectionDialog/LocalResourcesPage/localResourcesPage.ui \
    ManageConnectionDialog/DisplayPage/displayPage.ui \
    ManageConnectionDialog/CredentialsPage/credentialsPage.ui \
    ManageConnectionDialog/ConnectivityPage/connectivityPage.ui \
    ManageConnectionDialog/manageConnectionDialog.ui \
    ManageConnectionDialog/HelpWindow/helpWindow.ui \
    ManageConnectionDialog/AddBrokerDialog/addBrokerDialog.ui \
    ChangePasswordDialog/changePasswordDialog.ui \
    CredentialsDialog/credentialsDialog.ui \
    ChangeLocationDialog/changeLocationDialog.ui \
    LoadConfigurationDialog/loadConfigurationDialog.ui \
    ManageConnectionDialog/TitlePage/titlePage.ui \
    ProgressDialog/progressDialog.ui \
    mainWindow.ui \
    SimpleAddFarm/simpleaddfarmdialog.ui \
    CommonDialog/commonDialog.ui \
    AutoConfigureDialog/autoconfiguredialog.ui \
    FarmMenuDialog/farmmenudialog.ui \
    minimalviewdialog.ui \
    DeleteFarmDialog/deleteFarmDialog.ui \
    ShowStepsDialog/showStepsDialog.ui \
    ManageConnectionDialog/LocationDialog/locationDialog.ui \
    DeleteLocationDialog/deleteLocationDialog.ui \
    AppSettingsDialog/appsettingsdialog.ui \
    MainHelpDialog/mainhelpdialog.ui \
    MainAboutDialog/mainaboutdialog.ui \
    LegalInfoDialog/legalinfodialog.ui \
    BasicMessageDialog/basicmessagedialog.ui \
    TransparentDialog/transparentdialog.ui \
    UsbrDialog/usbrwidget.ui \
    UsbrDialog/usbrdialog.ui
INCLUDEPATH += common \
    ../ \
    CommonDialog \
    ManageConnectionDialog

HEADERS += ../common/common.h \
    ../common/FlashPluginUtils.h \
    FarmClient/farmConnection.h \
    sublib/ports.h \
    ManageConnectionDialog/AutoLaunchPage/autoLaunchPage.h \
    ManageConnectionDialog/PasswordManagementPage/passwordManagementPage.h \
    ManageConnectionDialog/UserExperiencePage/userExperiencePage.h \
    ManageConnectionDialog/LocalResourcesPage/localResourcesPage.h \
    ManageConnectionDialog/DisplayPage/displayPage.h \
    ManageConnectionDialog/CredentialsPage/credentialsPage.h \
    ManageConnectionDialog/ConnectivityPage/connectivityPage.h \
    ManageConnectionDialog/manageConnectionPage.h \
    ManageConnectionDialog/manageConnectionDialog.h \
    ManageConnectionDialog/HelpWindow/helpWindow.h \
    ManageConnectionDialog/AddBrokerDialog/addBrokerDialog.h \
    farmSettingsNames.h \
    farmSettings.h \
    location.h \
    farm.h \
    appPortalConfigCollector.h \
    appPortalConfigParser.h \
    ChangePasswordDialog/changePasswordDialog.h \
    CredentialsDialog/credentialsDialog.h \
    ChangeLocationDialog/changeLocationDialog.h \
    common/applicationSettings.h \
    common/crypto.h \
    common/rc4.h \
    common/errors.h \
    treeMenuWidget.h \
    verticalMenu.h \
    verticalMenuItem.h \
    LoadConfigurationDialog/loadConfigurationDialog.h \
    sublib/device.h \
    ManageConnectionDialog/TitlePage/titlePage.h \
    ProgressDialog/progressDialog.h \
    sublib/code.h \
    FarmClient/application.h \
    FarmClient/icons.h \
    FarmClient/farmConnection.h \
    FarmClient/applicationList.h \
    restartProgressDialog.h \
    mainWindow.h \
    applicationListModel.h \
    updateserver.h \
    SimpleAddFarm/simpleaddfarmdialog.h \
    CommonDialog/commonDialog.h \
    maskfactory.h \
    AutoConfigureDialog/autoconfiguredialog.h \
    FarmMenuDialog/farmmenudialog.h \
    minimalviewdialog.h \
    DeleteFarmDialog/deleteFarmDialog.h \
    ShowStepsDialog/showStepsDialog.h \
    ManageConnectionDialog/LocationDialog/locationDialog.h \
    DeleteLocationDialog/deleteLocationDialog.h \
    AppSettingsDialog/appsettingsdialog.h \
    MainHelpDialog/mainhelpdialog.h \
    MainAboutDialog/mainaboutdialog.h \
    LegalInfoDialog/legalinfodialog.h \
    BasicMessageDialog/basicmessagedialog.h \
    mouseoverpushbutton.h \
    TransparentDialog/transparentdialog.h \
    UsbrDialog/usbrwidget.h \
    UsbrDialog/usbrdialog.h
SOURCES += sublib/ports.cpp \
    ../common/FlashPluginUtils.cpp \
    ManageConnectionDialog/AutoLaunchPage/autoLaunchPage.cpp \
    ManageConnectionDialog/PasswordManagementPage/passwordManagementPage.cpp \
    ManageConnectionDialog/UserExperiencePage/userExperiencePage.cpp \
    ManageConnectionDialog/LocalResourcesPage/localResourcesPage.cpp \
    ManageConnectionDialog/DisplayPage/displayPage.cpp \
    ManageConnectionDialog/CredentialsPage/credentialsPage.cpp \
    ManageConnectionDialog/ConnectivityPage/connectivityPage.cpp \
    ManageConnectionDialog/manageConnectionPage.cpp \
    ManageConnectionDialog/manageConnectionDialog.cpp \
    ManageConnectionDialog/HelpWindow/helpWindow.cpp \
    ManageConnectionDialog/AddBrokerDialog/addBrokerDialog.cpp \
    farmSettings.cpp \
    location.cpp \
    farm.cpp \
    appPortalConfigCollector.cpp \
    appPortalConfigParser.cpp \
    ChangePasswordDialog/changePasswordDialog.cpp \
    CredentialsDialog/credentialsDialog.cpp \
    ChangeLocationDialog/changeLocationDialog.cpp \
    common/applicationSettings.cpp \
    common/crypto.cpp \
    common/rc4.cpp \
    treeMenuWidget.cpp \
    verticalMenu.cpp \
    verticalMenuItem.cpp \
    LoadConfigurationDialog/loadConfigurationDialog.cpp \
    sublib/device.cpp \
    ManageConnectionDialog/TitlePage/titlePage.cpp \
    ProgressDialog/progressDialog.cpp \
    sublib/code.cpp \
    FarmClient/application.cpp \
    FarmClient/icons.cpp \
    FarmClient/farmConnection.cpp \
    FarmClient/applicationList.cpp \
    restartProgressDialog.cpp \
    main.cpp \
    mainWindow.cpp \
    applicationListModel.cpp \
    updateserver.cpp \
    SimpleAddFarm/simpleaddfarmdialog.cpp \
    CommonDialog/commonDialog.cpp \
    maskfactory.cpp \
    AutoConfigureDialog/autoconfiguredialog.cpp \
    FarmMenuDialog/farmmenudialog.cpp \
    minimalviewdialog.cpp \
    DeleteFarmDialog/deleteFarmDialog.cpp \
    ShowStepsDialog/showStepsDialog.cpp \
    ManageConnectionDialog/LocationDialog/locationDialog.cpp \
    DeleteLocationDialog/deleteLocationDialog.cpp \
    AppSettingsDialog/appsettingsdialog.cpp \
    MainHelpDialog/mainhelpdialog.cpp \
    MainAboutDialog/mainaboutdialog.cpp \
    LegalInfoDialog/legalinfodialog.cpp \
    BasicMessageDialog/basicmessagedialog.cpp \
    mouseoverpushbutton.cpp \
    TransparentDialog/transparentdialog.cpp \
    UsbrDialog/usbrwidget.cpp \
    UsbrDialog/usbrdialog.cpp
RESOURCES += allresource.qrc
CONFIG += qt \
    debug_and_release \
    staticlib \
    static \
    warn_on \
    no_lflags_merge
LIBS += ../lib/libqcommondata.a 
LIBS += ../qrdesktop/libpopt/output/lib/libpopt.a
