// **************************************************************************************
// *
// * © 2012 Dell, Inc.
// * ALL RIGHTS RESERVED.
// *
// * Redistribution and use in source and binary forms, with or without modification, 
// * are permitted provided that the following conditions are met:
// * 
// *  *  Redistributions of source code must retain the above copyright notice, 
// *     this list of conditions and the following disclaimer.  
// * 
// *  *  Redistributions in binary form must reproduce the above copyright notice, 
// *     this list of conditions and the following disclaimer in the documentation 
// *     and/or other materials provided with the distribution.  
// * 
// *  *  Neither the name of Dell, Inc. nor the names of its contributors 
// *     may be used to endorse or promote products derived from this software 
// *     without specific prior written permission. 
// * 
// * 
// * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ON AN "AS IS" 
// * AND UNSUPPORTED BASIS, WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES OF ANY KIND, 
// * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, NON-
// * INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL THE COPYRIGHT 
// * HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
// * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT 
// * OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
// * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
// * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT 
// * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
// * 
// **************************************************************************************

/********************************************************************************
** Form generated from reading UI file 'connectionbarwindow.ui'
**
** Created: Wed Oct 24 19:02:05 2012
**      by: Qt User Interface Compiler version 4.8.1
**
** WARNING! All changes made in this file will be lost when recompiling UI file!
********************************************************************************/

#ifndef UI_CONNECTIONBARWINDOW_H
#define UI_CONNECTIONBARWINDOW_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QMainWindow>
#include <QtGui/QPushButton>
#include <QtGui/QWidget>

QT_BEGIN_NAMESPACE

class Ui_ConnectionBarWindow
{
public:
    QWidget *centralWidget;
    QLabel *mainLabel;
    QPushButton *closeButton;
    QPushButton *minimizeButton;
    QLabel *sessionNameLabel;
    QPushButton *showConnectionBarButton;
    QLabel *showConnectionBarLabel;

    void setupUi(QMainWindow *ConnectionBarWindow)
    {
        if (ConnectionBarWindow->objectName().isEmpty())
            ConnectionBarWindow->setObjectName(QString::fromUtf8("ConnectionBarWindow"));
        ConnectionBarWindow->resize(400, 55);
        ConnectionBarWindow->setMinimumSize(QSize(0, 0));
        ConnectionBarWindow->setWindowOpacity(1);
        ConnectionBarWindow->setLayoutDirection(Qt::LeftToRight);
        centralWidget = new QWidget(ConnectionBarWindow);
        centralWidget->setObjectName(QString::fromUtf8("centralWidget"));
        centralWidget->setAutoFillBackground(false);
        mainLabel = new QLabel(centralWidget);
        mainLabel->setObjectName(QString::fromUtf8("mainLabel"));
        mainLabel->setGeometry(QRect(0, 0, 400, 35));
        mainLabel->setAcceptDrops(false);
        mainLabel->setAutoFillBackground(false);
        mainLabel->setFrameShadow(QFrame::Plain);
        mainLabel->setPixmap(QPixmap(QString::fromUtf8(":/images/images/Toolbar_Main.png")));
        closeButton = new QPushButton(centralWidget);
        closeButton->setObjectName(QString::fromUtf8("closeButton"));
        closeButton->setGeometry(QRect(370, 5, 20, 20));
        closeButton->setMinimumSize(QSize(20, 20));
        closeButton->setMaximumSize(QSize(20, 20));
        closeButton->setBaseSize(QSize(20, 0));
        QFont font;
        font.setKerning(true);
        closeButton->setFont(font);
        closeButton->setStyleSheet(QString::fromUtf8("QPushButton\n"
"{\n"
"	border-image: url(:/images/images/Close.png);\n"
"	background-color: rgba(255, 255, 255, 0%);\n"
"}\n"
"QPushButton:pressed\n"
"{\n"
"	border-image: url(:/images/images/CloseAlt.png);\n"
"	background-color: rgba(255, 255, 255, 0%);\n"
"}\n"
"QPushButton:hover\n"
"{\n"
"	border-image: url(:/images/images/CloseAlt.png);\n"
"	background-color: rgba(255, 255, 255, 0%);\n"
"}"));
        closeButton->setIconSize(QSize(20, 20));
        closeButton->setFlat(true);
        minimizeButton = new QPushButton(centralWidget);
        minimizeButton->setObjectName(QString::fromUtf8("minimizeButton"));
        minimizeButton->setGeometry(QRect(340, 5, 20, 20));
        minimizeButton->setMinimumSize(QSize(20, 20));
        minimizeButton->setMaximumSize(QSize(20, 20));
        minimizeButton->setStyleSheet(QString::fromUtf8("QPushButton\n"
"{\n"
"	border-image: url(:/images/images/Windows.png);\n"
"	background-color: rgba(255, 255, 255, 0%);\n"
"}\n"
"QPushButton:pressed\n"
"{\n"
"	border-image: url(:/images/images/WindowsAlt.png);\n"
"	background-color: rgba(255, 255, 255, 0%);\n"
"}\n"
"QPushButton:hover\n"
"{\n"
"	border-image: url(:/images/images/WindowsAlt.png);\n"
"	background-color: rgba(255, 255, 255, 0%);\n"
"}"));
        minimizeButton->setIconSize(QSize(20, 20));
        minimizeButton->setFlat(true);
        sessionNameLabel = new QLabel(centralWidget);
        sessionNameLabel->setObjectName(QString::fromUtf8("sessionNameLabel"));
        sessionNameLabel->setGeometry(QRect(75, 0, 261, 31));
        sessionNameLabel->setMinimumSize(QSize(0, 0));
        sessionNameLabel->setMaximumSize(QSize(400, 16777215));
        QPalette palette;
        QBrush brush(QColor(255, 255, 255, 255));
        brush.setStyle(Qt::SolidPattern);
        palette.setBrush(QPalette::Active, QPalette::WindowText, brush);
        QBrush brush1(QColor(0, 0, 0, 255));
        brush1.setStyle(Qt::SolidPattern);
        palette.setBrush(QPalette::Active, QPalette::Text, brush1);
        palette.setBrush(QPalette::Inactive, QPalette::WindowText, brush);
        palette.setBrush(QPalette::Inactive, QPalette::Text, brush1);
        QBrush brush2(QColor(106, 104, 100, 255));
        brush2.setStyle(Qt::SolidPattern);
        palette.setBrush(QPalette::Disabled, QPalette::WindowText, brush2);
        palette.setBrush(QPalette::Disabled, QPalette::Text, brush2);
        sessionNameLabel->setPalette(palette);
        sessionNameLabel->setAutoFillBackground(false);
        sessionNameLabel->setAlignment(Qt::AlignCenter);
        showConnectionBarButton = new QPushButton(centralWidget);
        showConnectionBarButton->setObjectName(QString::fromUtf8("showConnectionBarButton"));
        showConnectionBarButton->setGeometry(QRect(0, 35, 400, 21));
        showConnectionBarButton->setMouseTracking(false);
        showConnectionBarButton->setFocusPolicy(Qt::NoFocus);
        showConnectionBarButton->setAcceptDrops(false);
        showConnectionBarButton->setStyleSheet(QString::fromUtf8("QPushButton\n"
"{\n"
"	background-color: rgb(255, 255, 255);\n"
"}\n"
"QPushButton:pressed\n"
"{\n"
"	background-color: rgba(255, 255, 255, 0%);\n"
"}"));
        QIcon icon;
        icon.addFile(QString::fromUtf8(":/images/images/Toolbar_Arrow_Show.png"), QSize(), QIcon::Normal, QIcon::Off);
        showConnectionBarButton->setIcon(icon);
        showConnectionBarButton->setIconSize(QSize(300, 90));
        showConnectionBarButton->setCheckable(false);
        showConnectionBarButton->setAutoDefault(false);
        showConnectionBarButton->setDefault(false);
        showConnectionBarButton->setFlat(true);
        showConnectionBarLabel = new QLabel(centralWidget);
        showConnectionBarLabel->setObjectName(QString::fromUtf8("showConnectionBarLabel"));
        showConnectionBarLabel->setGeometry(QRect(0, 35, 400, 20));
        showConnectionBarLabel->setPixmap(QPixmap(QString::fromUtf8(":/images/images/Toolbar_Main.png")));
        ConnectionBarWindow->setCentralWidget(centralWidget);
        showConnectionBarLabel->raise();
        mainLabel->raise();
        closeButton->raise();
        minimizeButton->raise();
        sessionNameLabel->raise();
        showConnectionBarButton->raise();

        retranslateUi(ConnectionBarWindow);

        QMetaObject::connectSlotsByName(ConnectionBarWindow);
    } // setupUi

    void retranslateUi(QMainWindow *ConnectionBarWindow)
    {
        ConnectionBarWindow->setWindowTitle(QApplication::translate("ConnectionBarWindow", "MainWindow", 0, QApplication::UnicodeUTF8));
        mainLabel->setText(QString());
        closeButton->setText(QString());
        minimizeButton->setText(QString());
        sessionNameLabel->setText(QString());
#ifndef QT_NO_TOOLTIP
        showConnectionBarButton->setToolTip(QString());
#endif // QT_NO_TOOLTIP
        showConnectionBarButton->setText(QString());
        showConnectionBarLabel->setText(QString());
    } // retranslateUi

};

namespace Ui {
    class ConnectionBarWindow: public Ui_ConnectionBarWindow {};
} // namespace Ui

QT_END_NAMESPACE

#endif // UI_CONNECTIONBARWINDOW_H
