#ifndef _QAUDIO_ALSA_DRV_H_
#define _QAUDIO_ALSA_DRV_H_

#include "qaudio_driver.h"

int alsa_driver_init ( char * _options );
int alsa_driver_free ();

int alsa_waveout_open  ( LPHWAVEOUT _handle, WAVEFORMATEX * _format );
int alsa_waveout_reset ( HWAVEOUT _handle );
int alsa_waveout_close ( HWAVEOUT _handle );
int alsa_waveout_write ( HWAVEOUT _handle , uint8 * _wave , uint32 _size );

int alsa_wavein_open   ( LPHWAVEIN _handle, WAVEFORMATEX * _format );
int alsa_wavein_close  ( HWAVEIN _handle );
int alsa_wavein_start  ( HWAVEIN _handle );
int alsa_wavein_stop   ( HWAVEIN _handle );
int alsa_wavein_record ( HWAVEIN _handle , uint8 * _data , uint32 _size );

#endif
