#ifndef _QAUDIO_OSS_DRV_H_
#define _QAUDIO_OSS_DRV_H_

#include "qaudio_driver.h"

int oss_driver_init ( char * _options );
int oss_driver_free ();

int oss_waveout_open  ( LPHWAVEOUT _handle, WAVEFORMATEX * _format );
int oss_waveout_reset ( HWAVEOUT _handle );
int oss_waveout_close ( HWAVEOUT _handle );
int oss_waveout_write ( HWAVEOUT _handle , uint8 * _wave , uint32 _size );

int oss_wavein_open   ( LPHWAVEIN _handle, WAVEFORMATEX * _format );
int oss_wavein_close  ( HWAVEIN _handle );
int oss_wavein_start  ( HWAVEIN _handle );
int oss_wavein_stop   ( HWAVEIN _handle );
int oss_wavein_record ( HWAVEIN _handle , uint8 * _data , uint32 _size );


#endif
