#ifndef _QMIC_CODEC_H_
#define _QMIC_CODEC_H_

typedef struct _SpeexCodec
{
    WAVEFORMATEX format;
    void * encoder;

    short * data_buffer;
    uint32  data_buffer_size;
    
    SpeexBits bits;
} SpeexCodec;


SpeexCodec * codec_create ( LPWAVEFORMATEX format, int complexity, int quality );
void codec_destroy ( SpeexCodec * codec );

uint32 codec_compress_buffer ( SpeexCodec * codec , char * buffer , uint32 size , uint8 * out); 

#endif

